This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 745755 - (CVE-2011-4028) CVE-2011-4028 xorg-x11-server: File existence disclosure vulnerability
CVE-2011-4028 xorg-x11-server: File existence disclosure vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111018,reported=2...
: Security
Depends On: 768993 799349 807122
Blocks: 742493 745043 784298
  Show dependency treegraph
 
Reported: 2011-10-13 06:09 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 06:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed X.Org X11 server upstream patch (966 bytes, patch)
2011-10-18 06:55 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2011-10-13 06:09:20 EDT
A file existence disclosure flaw was found in the way X.Org X11 X server performed management of temporary lock files. A local, unprivileged user could use this flaw to confirm (non) existence of a file system object (file, directory or fifo), which shouldn't be accessible for them, via symbolic link attacks, with link name being the expected name of the X.Org X11 X server temporary lock file.

Note:
For the exploit to succeed the local attacker needs to be able to run the X.Org X11 X server.
Comment 1 Jan Lieskovsky 2011-10-13 06:12:01 EDT
Acknowledgements:

Red Hat would like to thank researcher with a nickname vladz for reporting this issue.
Comment 5 Jan Lieskovsky 2011-10-18 06:55:10 EDT
Created attachment 528780 [details]
Proposed X.Org X11 server upstream patch
Comment 6 Vincent Danen 2011-10-18 12:42:24 EDT
This issue is now public.  The following commit corrects the problem upstream:

http://cgit.freedesktop.org/xorg/xserver/commit/?id=6ba44b91e37622ef8c146d8f2ac92d708a18ed34


External References:

http://lists.freedesktop.org/archives/xorg-announce/2011-October/001744.html
Comment 7 Vincent Danen 2011-10-18 12:45:24 EDT
Statement:

(none)
Comment 10 errata-xmlrpc 2012-02-20 22:12:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0303 https://rhn.redhat.com/errata/RHSA-2012-0303.html
Comment 12 Jan Lieskovsky 2012-03-02 09:49:37 EST
This issue affects the current version (xorg-x11-server-Xorg-1.10.4-1.fc15.*) of the xorg-x11-server package, as shipped with Fedora release of 15. Please schedule an update.

--

This issue does NOT affect the current version (xorg-x11-server-Xorg-1.11.4-1.fc16) of the xorg-x11-server package, as shipped with Fedora release of 16. The deficiency in this version is corrected already.
Comment 13 Jan Lieskovsky 2012-03-02 10:07:33 EST
Created xorg-x11-server tracking bugs for this issue

Affects: fedora-15 [bug 799349]
Comment 15 errata-xmlrpc 2012-06-20 03:27:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0939 https://rhn.redhat.com/errata/RHSA-2012-0939.html

Note You need to log in before you can comment on or make changes to this bug.